﻿@model DatabaseProject.stock

@{
    ViewBag.Title = "Create";
    DatabaseProject.ScerpEntities db = new DatabaseProject.ScerpEntities();
    List<DatabaseProject.warehouse> warehouses = db.warehouses.ToList();

}

<div id="page-wrapper" style="min-height: 593px;">
    <div class="row">
        <div class="col-lg-12">
            <h1 class="page-header">Dashboard</h1>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <legend>
                <div class="alert alert-dismissable alert-info">
                    <strong>Heads up!</strong> You need to <a href="#" class="alert-link">Create your warehouse</a> first !
                </div>
            </legend>
            @if (true)
            {
                using (Html.BeginForm())
                {
                    @Html.AntiForgeryToken()
                    @Html.ValidationSummary(true)

                    <fieldset>


                        <label for="inputEmail" class="col-lg-2 control-label">Stock Name</label>
                        <div class="col-lg-10">
                            <input class="form-control" id="name" name="name" type="text" value="">
                            <span class="field-validation-valid" data-valmsg-for="name" data-valmsg-replace="true"></span>
                            <br />
                        </div>
                        <label for="textArea" class="col-lg-2 control-label">Description</label>
                        <div class="col-lg-10">
                            <input class="form-control" id="description" name="description" type="text" value="">
                            <span class="field-validation-valid" data-valmsg-for="description" data-valmsg-replace="true"></span>
                            <span class="help-block">Describe stock category,colors, tags and other assigned informations.</span>
                        </div>
                        <label for="inputEmail" class="col-lg-2 control-label">Amount</label>
                        <div class="col-lg-10">
                            <input class="form-control" data-val="true" data-val-number="The field amount_of_product must be a number." data-val-required="The amount_of_product field is required." id="amount_of_product" name="amount_of_product" type="text" value="">
                            <span class="field-validation-valid" data-valmsg-for="amount_of_product" data-valmsg-replace="true"></span>
                            <br>
                        </div>
                        <div class="form-group">
                            <label for="select" class="col-lg-2 control-label">Product ID</label>
                            <div class="col-lg-8">
                                <select id="id_products" name="id_products" class="form-control">
                                    @{

                    var empQuery = from emp in db.products
                                   select emp;
                    List<DatabaseProject.product> empList = empQuery.ToList();
                    foreach (DatabaseProject.product temp in empList)
                    {
                        <option value="@temp.id_products">@temp.product_id</option>
                    }
                                    }
                                </select>

                                <br />
                            </div>
                            <div class="col-md-2 column">
                                @Html.ActionLink("Create", "CreateProduct", null, new { id = "btnCreate", @class = "btn btn-primary" })

                            </div>
                        </div>
                        <div class="col-lg-12"></div>

                        <div class="form-group">
                            <label for="select" class="col-lg-2 control-label">Warehouses</label>
                            <div class="col-lg-8">
                                <select id="id_warehouses" name="id_warehouses" class="form-control">
                                    @{
                    var empWare = from emp in db.warehouses
                                  select emp;
                    List<DatabaseProject.warehouse> warelist = empWare.ToList();
                    foreach (DatabaseProject.warehouse temp in empWare)
                    {
                        <option value="@temp.id_warehouses">@temp.name</option>
                    }
                                    }
                                </select>

                            </div>
                        </div>
                        <div class="col-md-2 column">
                            @Html.ActionLink("Create", "CreateWarehouse", null, new { id = "btnCreate", @class = "btn btn-primary" })

                        </div>
                        <div class="col-lg-10 col-lg-offset-2">
                            <br>
                            <button class="btn btn-default">Cancel</button>
                            <button type="submit" class="btn btn-primary">Submit</button>
                        </div>
                    </fieldset>
                }
            }

            <div>
                @Html.ActionLink("Back to List", "Index")
            </div>
        </div>
    </div>
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}
